Allow specifying of input skymap to ctskymap tool

02/12/2018 09:50 AM - Knödlseder Jürgen

Status: Closed Start date: 02/12/2018

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

Since the RING background method is an iterative process, and the initial binning and background computation takes some time, it

should be possible to specify an input sky map to ctskymap to apply different ring background parameters.

One option is to specify the input skymap directly to the inobs parameter. The tool should then be able to automatically detect

whether the input file is a sky map, an event file or an observation definition file. The only related question is of whether the inobs

parameter should be renamed, since a skymap is not formally an observation.

The other option is to add an inmap parameter, which by default is NONE. If this parameter is hidden, the default behavior of the tool

would not change. I tend to favor this option, since the User interface is cleaner.

History

#1 - 02/13/2018 04:54 PM - Knödlseder Jürgen

The following parameters were added:

inmap: allows to specify an input map and skip the step that fills the events and computes the background acceptance (particularily useful for a

long observation list)

iterations: allows to specify the number of iterations in the RING background computation

threshold: allows to specify the threshold above which pixels are set as excluded in the exclusion map for the RING background computation

All seems to work nicely.

#2 - 02/14/2018 10:05 AM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

Merged into devel
